### Hierarchy

- unknown
  - AccountAgeWitnessStore

## Index

### Constructors

- constructor

### Methods

- addItems
- clearItemsList
- getItemsList
- serializeBinary
- setItemsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AccountAgeWitnessStore(): AccountAgeWitnessStore

- Inherited from jspb.Message.constructor

  #### Returns AccountAgeWitnessStore

## Methods

### addItems

- addItems(value?: AccountAgeWitness, index?: number): AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:6158

  #### Parameters

  - ##### Optional value: AccountAgeWitness

  - ##### Optional index: number

  #### Returns AccountAgeWitness

### clearItemsList

- clearItemsList(): AccountAgeWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6157

  #### Returns AccountAgeWitnessStore

### getItemsList

- getItemsList(): AccountAgeWitness []

- - Defined in src/protobuf/pb_pb.d.ts:6155

  #### Returns AccountAgeWitness []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6160

  #### Returns Uint8Array

### setItemsList

- setItemsList(value: AccountAgeWitness []): AccountAgeWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6156

  #### Parameters

  - ##### value: AccountAgeWitness []

  #### Returns AccountAgeWitnessStore

### toObject

- toObject(includeInstance?: boolean): AccountAgeWitnessStore . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6161

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AccountAgeWitnessStore . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AccountAgeWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6164

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AccountAgeWitnessStore

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AccountAgeWitnessStore, reader: BinaryReader): AccountAgeWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6165

  #### Parameters

  - ##### message: AccountAgeWitnessStore

  - ##### reader: BinaryReader

  #### Returns AccountAgeWitnessStore

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AccountAgeWitnessStore, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6163

  #### Parameters

  - ##### message: AccountAgeWitnessStore

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AccountAgeWitnessStore ): AccountAgeWitnessStore . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6162

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AccountAgeWitnessStore

  #### Returns AccountAgeWitnessStore . AsObject

Generated using TypeDoc